Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 158492 - libgcj depends on openoffice???!!!
Summary: libgcj depends on openoffice???!!!
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: java-1.4.2-gcj-compat
Version: 4
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Thomas Fitzsimmons
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-22 23:49 UTC by Jonathan S. Shapiro
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-05-26 04:03:52 UTC


Attachments (Terms of Use)

Description Jonathan S. Shapiro 2005-05-22 23:49:35 UTC
Sorry if this is posted to wrong component -- cannot fund a libgcj component in
FC4test3.

The development/ tree is temporarily busted because somebody didn't push libjawt
into the tree. This led update of openoffice to fail, which prompted me to
update selectively.

Imagine my surprise to discover that libgcj depends on openoffice. This
definitely isn't right.

Imagine my further surprise to discover that there isn't any obvious bug
reporting component for libgcj!

The bad dependency exists in libgcj.i386-4.0.0-8.

Comment 1 Thomas Fitzsimmons 2005-05-26 04:03:52 UTC
$ rpm -q libgcj
libgcj-4.0.0-8

$ rpm -q --requires libgcj
/bin/sh  
/bin/sh  
/sbin/install-info  
/sbin/ldconfig  
config(libgcj) = 4.0.0-8
glib2 >= 2.4.0
gtk2 >= 2.4.0
ld-linux.so.2  
ld-linux.so.2(GLIBC_2.1)  
lib-gnu-java-awt-peer-gtk.so.6  
libXtst.so.6  
libart_lgpl >= 2.1.0
libart_lgpl_2.so.2  
libatk-1.0.so.0  
libc.so.6  
libc.so.6(GLIBC_2.0)  
libc.so.6(GLIBC_2.1)  
libc.so.6(GLIBC_2.1.2)  
libc.so.6(GLIBC_2.1.3)  
libc.so.6(GLIBC_2.2)  
libc.so.6(GLIBC_2.2.4)  
libc.so.6(GLIBC_2.3)  
libdl.so.2  
libdl.so.2(GLIBC_2.0)  
libdl.so.2(GLIBC_2.1)  
libgcc_s.so.1  
libgcc_s.so.1(GCC_3.0)  
libgcc_s.so.1(GCC_3.3)  
libgcc_s.so.1(GCC_3.3.1)  
libgcc_s.so.1(GLIBC_2.0)  
libgcj.so.6  
libgdk-x11-2.0.so.0  
libgdk_pixbuf-2.0.so.0  
libgij.so.6  
libglib-2.0.so.0  
libgmodule-2.0.so.0  
libgobject-2.0.so.0  
libgthread-2.0.so.0  
libgtk-x11-2.0.so.0  
libm.so.6  
libpango-1.0.so.0  
libpangox-1.0.so.0  
libpangoxft-1.0.so.0  
libpthread.so.0  
libpthread.so.0(GLIBC_2.0)  
libpthread.so.0(GLIBC_2.1)  
libpthread.so.0(GLIBC_2.2)  
libpthread.so.0(GLIBC_2.3.2)  
libz.so.1  
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
zip >= 2.1

Anyway, all the libjawt confusion should be gone on Rawhide now.  Closing.



Note You need to log in before you can comment on or make changes to this bug.